Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.hibernate
Class PersistentReportJobSimpleTrigger

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.hibernate.PersistentReportJobTrigger
          com.jaspersoft.jasperserver.api.engine.scheduling.hibernate.PersistentReportJobSimpleTrigger

    public class PersistentReportJobSimpleTrigger

extends PersistentReportJobTrigger

Version:
  $Id: PersistentReportJobSimpleTrigger.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`PersistentReportJobSimpleTrigger()`

Method Summary
`void` | `copyFrom(ReportJobTrigger trigger)`
`int` | `getOccurrenceCount()`
`java.lang.Integer` | `getRecurrenceInterval()`
`java.lang.Byte` | `getRecurrenceIntervalUnit()`
`void` | `setOccurrenceCount(int recurrenceCount)`
`void` | `setRecurrenceInterval(java.lang.Integer recurrenceInterval)`
`void` | `setRecurrenceIntervalUnit(java.lang.Byte recurrenceInterval)`
`boolean` | `supports(java.lang.Class triggerClass)`
`ReportJobTrigger` | `toClient()`

Methods inherited from class com.jaspersoft.jasperserver.api.engine.scheduling.hibernate.PersistentReportJobTrigger
`copyTo, getEndDate, getId, getStartDate, getStartType, getTimezone, getVersion, isNew, setEndDate, setId, setStartDate, setStartType, setTimezone, setVersion, toTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentReportJobSimpleTrigger

    public PersistentReportJobSimpleTrigger()

Method Detail

### getOccurrenceCount

    public int getOccurrenceCount()

### setOccurrenceCount

    public void setOccurrenceCount(int recurrenceCount)

### getRecurrenceIntervalUnit

    public java.lang.Byte getRecurrenceIntervalUnit()

### setRecurrenceIntervalUnit

    public void setRecurrenceIntervalUnit(java.lang.Byte recurrenceInterval)

### getRecurrenceInterval

    public java.lang.Integer getRecurrenceInterval()

### setRecurrenceInterval

    public void setRecurrenceInterval(java.lang.Integer recurrenceInterval)

### copyFrom

    public void copyFrom(ReportJobTrigger trigger)

  Overrides:
    `copyFrom` in class `PersistentReportJobTrigger`

### toClient

    public ReportJobTrigger toClient()

  Specified by:
    `toClient` in class `PersistentReportJobTrigger`

### supports

    public boolean supports(java.lang.Class triggerClass)

  Specified by:
    `supports` in class `PersistentReportJobTrigger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.